Bug 1012000 - Refine project setup workflow
Refine project setup workflow
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kris Verlaenen
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 10:19 EDT by Catherine Robson
Modified: 2015-07-08 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-09-25 10:19:57 EDT
Description of problem:
Currently users who are just starting with BPMS or BRMS need to set up an organization, repo, and project.  The workflow in the UI for doing this and getting started with creating processes, rules, etc is a bit disparate and requires the user to go to many different locations to get it set up correctly.


Version-Release number of selected component (if applicable):
6.0.0.ER3

How reproducible:
User must go to Authoring -> Administration to create organization & repo
Then user must go to Authoring -> Project Explorer to create project and packages
This workflow is not clear to the user upon first entry.

Suggested change:
Add a wizard that walks users through creating the necessary objects for a project so that they can get started with editing processes and other resources quickly.
Comment 2 Catherine Robson 2013-09-25 10:22:41 EDT
Current wireframes for a suggested design can be found here - but these are being updated after a conversation with engineering: http://share.axure.com/8WUVFL/
Comment 3 Kris Verlaenen 2013-09-26 08:38:49 EDT
Catherine, 

As part of the playground discussions, we implemented a way to have a default group, repository and project set up.  See https://bugzilla.redhat.com/show_bug.cgi?id=1010219

This could be disabled (using a config parameter), but is by default be enabled for the product.  We can easily update the names if necessary.

Would this be sufficient for 6.0?
Comment 4 Catherine Robson 2013-09-27 10:46:05 EDT
Kris,

I think this is reasonable for the 6.0 release to get users up and started quickly.  Joe will be commenting on 1010219 regarding the naming.

Note You need to log in before you can comment on or make changes to this bug.